Subject: Re: [Jmap] Adding the Message::isForwarded property

From: "Chris Newman" <[email-masked]>
Date: Mon, 01 May 2017 09:50:17 -0700

On 27 Apr 2017, at 23:22, Neil Jenkins wrote:
> Firstly, I think we should map the 4 \System flags to $System in JMAP.
> Using backslash is a real pain because it is an escape character in
> JSON, so examples in the spec are confusing if nothing else! Changing 
> it
> to $ would make the system keywords consistent with the IANA 
> registered
> keywords, which I believe will be less confusing for developers coming
> in without an IMAP background. The only issue would be what to do if
> someone has added "$Flagged" etc. user keywords on an IMAP server. 
> This
> seems unlikely to be much of a real-world occurrence to me, on the 
> basis
> it would have been very confusing, but I think we can just specify 
> that
> these keywords are not visible over JMAP.

If you choose to map \System to $System, I'd suggest making the JMAP 
specification IANA considerations section register the four $System 
flags in the IMAP keyword registry as "names reserved for use by JMAP; 
use in IMAP not recommended". I'd also suggest renaming the registry to 
"IMAP/JMAP keywords" or "IMAP keywords and JMAP flags" (depending on 
terminology you want to use).

		- Chris

---

From: "HANSEN, TONY L" <[email-masked]>
Date: Mon, 1 May 2017 17:44:40 +0000

On 5/1/17, 12:50 PM, "Jmap on behalf of Chris Newman" <[email-masked] on behalf of [email-masked]> wrote:

Concur. Note: this would also add an “Updates: 5788” to the spec.

	Tony

---

From: Bron Gondwana <[email-masked]>
Date: Tue, 02 May 2017 10:29:51 +1000

> Concur. Note: this would also add an “Updates: 5788” to the spec.

Have added comments to the effect of both of these things to the ticket about keywords:

https://github.com/jmapio/jmap/issues/73

Bron.

-- 
  Bron Gondwana
  [email-masked]